DeviceOffline(3z)

NAME
DeviceOffline - turn the network device online

SYNOPSIS
#include <net/misc.h>

void DeviceOffline(int flag);

DESCRIPTION
The DeviceOffline() function turns the packet driver offline so that other application may utilise the resources that it is using.

For example for the built in SLIP driver, turning the device online prevents polling of the serial port for incoming bytes and the sending of queued packets, thus allowing another program (e.g. Terminal) to use the serial port.

The parameter flag specifies how the device is to be turned offline, with current device drivers this has no significence. However it is envisaged that the value NOHANGUP the device will simply suspend sending and receiving packets. Whilst with HANGUP the device will hangup the line and terminate the telephone connection.

RETURN VALUE
None.

SEE ALSO
DeviceOnline(3z)

AUTHOR
Dominic Morris <dom@jb.man.ac.uk>